------------------------------------------------------------------------
r32 | nrpieper | 2009-06-01 18:21:56 +0000 (Mon, 01 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added 642 additional US English base words and corresponding affix codes.  The word list was borrowed from Chrome's additions to the US English OpenOffice dictionary included in their implementation.  You can view the words added here: http://src.chromium.org/viewvc/chrome/trunk/src/chrome/third_party/hunspell/dictionaries/en_US.dic_delta
Are you sure "ing" is a valid suffix for the word "YouTube"???  j/k
------------------------------------------------------------------------
r31 | nrpieper | 2009-06-01 12:59:09 +0000 (Mon, 01 Jun 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fix an error occurring for users that were not using a prior version and didn't have a savedVariables Misspelled.lua file.
------------------------------------------------------------------------
r30 | nrpieper | 2009-05-31 18:55:06 +0000 (Sun, 31 May 2009) | 15 lines
Changed paths:
   D /trunk/Bindings.xml
   M /trunk/Dict/Dic_deDE.lua
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Dict/Dic_esES.lua
   A /trunk/Dict/Dic_esES_larger.lua
   A /trunk/Dict/Dic_esES_smaller.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   A /trunk/UTF8
   A /trunk/UTF8/utf8.lua
   A /trunk/UTF8/utf8data.lua
   M /trunk/WordDict.lua

Spanish (esES) dictionary support added.

There is a new interface options page, that allows you to manually select a dictionary to load.
Note: if you select a different dictionary, you need to reload the game UI for it to take effect. 
Note: Right now, there isn't a separate user dictionary for each language.  This will be an issue if you routinely switch dictionaries back and forth.

Suggestions are now generated when you right click a misspelled word.  This will speed up edits that occur someplace other than the end of the line.
Many fixes have been applied to the suggestion generation code.  You'll notice fewer, better suggesting being returned.  In English, Teh is still an issue.  Humm....

Support added throughout for UTF8 multi-byte character encoding.
Generating suggestions using on of the UTF8 dictionaries (Spanish and German) takes noticeably longer.  If you're using a UTF8 dictionary, two suggestion generation methods (BadChar & ForgotChar) are disabled to allow some suggestion results to return within a reasonable time.
The extra execution time the UTF8 code adds, is compounded by the Spanish and German dictionaries having significantly more suffix combinations that need checking when validating a word is spelled correctly.  I'm sure there are additional improvements that can be made here.
Implemented a generic sounds like method to support language dictionaries that don't supply phonetic codes.  Currently only Spanish uses this method.

The word "Aldor" was added to the English dictionary.
------------------------------------------------------------------------
r29 | nrpieper | 2009-05-28 02:56:05 +0000 (Thu, 28 May 2009) | 4 lines
Changed paths:
   M /trunk/Dict/Dic_deDE.lua
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Dict/Dic_esES.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Added "Generic" sounds-like function for dictionaries that don't include phonetic spelling info (Spanish/French)
Fixed BadChars, and ReplaceChars misspelling tests.
Changes TestWord to call WordDict:Contains.  Correct; but slowing down suggesting generation.  Might have to move suggestion generation to the right click handler.

------------------------------------------------------------------------
r28 | nrpieper | 2009-05-27 21:43:53 +0000 (Wed, 27 May 2009) | 5 lines
Changed paths:
   A /trunk/Dict/Dic_deDE.lua (from /trunk/Dict/Dic_de_DE.lua:27)
   D /trunk/Dict/Dic_de_DE.lua
   A /trunk/Dict/Dic_enUS.lua (from /trunk/Dict/Dic_en_US.lua:27)
   D /trunk/Dict/Dic_en_US.lua
   A /trunk/Dict/Dic_esES.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Added a Spanish dictionary for esES clients.  
Spanish to-do: Need to implement the generic phonetic code method for this language. (http://aspell.net/man-html/The-Simple-Soundslike.html#The-Simple-Soundslike)  Adding this will help return more suggestions.
Loading the Spanish dictionary forced some work on UTF-8 issues.  More work is needed here.
The split function's local variables were moved outside the function to speed up multiple calls.  The change reduced the time needed to load the dictionary.

------------------------------------------------------------------------
r27 | nrpieper | 2009-05-24 22:50:52 +0000 (Sun, 24 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Capitalized misspelled words will stay capitalized after selecting a replacement suggestion.  Long term I want to detect the beginning of a sentence, so I can correct incorrect Capitalization.  For now this change should help.
------------------------------------------------------------------------
r26 | nrpieper | 2009-05-24 20:31:20 +0000 (Sun, 24 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added these characters to the list of word separators: "(", ")", ";"
------------------------------------------------------------------------
r25 | nrpieper | 2009-05-22 20:57:53 +0000 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/WordDict.lua

Edit distance, substitution cost is now case insensitive.
------------------------------------------------------------------------
r24 | nrpieper | 2009-05-22 10:51:48 +0000 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Changed the misspelled highlighting to a medium-cyan-ish color.  Hopefully this will make it easier to see misspelled words in all the common channels: Say, Party, Raid, Guild, Whisper, Trade, Yell
------------------------------------------------------------------------
r23 | nrpieper | 2009-05-21 15:19:01 +0000 (Thu, 21 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added Ace3 OptionDep tag to the .toc so the addon would properly load for those running without libs embedded.
------------------------------------------------------------------------
r22 | nrpieper | 2009-05-21 14:41:07 +0000 (Thu, 21 May 2009) | 3 lines
Changed paths:
   M /trunk/Dict/Dic_en_US.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/Misspelled.xml

Now uses AceEvent to replace the hidden frame and OnEvent hook needed to load guild members.
Added the "words" LFG and LFM to the US English dictionary.
When a suggestion is selected to replace a given misspelled word (or Ignore or Add to Dic was selected), the cursor was positioned at end of the replaced word.  Now, if there is a space after that word, the cursor is positioned to the right of that space.  This should reduce the spell-checking needed when the only character on the line, to the right of a cursor, is a space.
------------------------------------------------------------------------
r21 | nrpieper | 2009-05-21 11:23:55 +0000 (Thu, 21 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/Misspelled.xml

Changed some of the frame xlm code, to hopefully hide a phantom dropdown frame that was being seen by some.
------------------------------------------------------------------------
r20 | nrpieper | 2009-05-20 21:16:16 +0000 (Wed, 20 May 2009) | 3 lines
Changed paths:
   M /trunk/.pkgmeta
   A /trunk/Dict/Dic_de_DE.lua
   M /trunk/Dict/Dic_en_US.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua
   M /trunk/embeds.xml

A German dictionary has been added and will load if you are using the German client.  Note:  No Warcraft specific proper nouns have been included in the German dictionary.
Misspelled's loading and right-click event wireup routines were converted to use AceAddon and AceHook.  Hopefully this should help make Misspelled more compatible with any other Ace addons (Prat), that also try and hook the ChatFrameEditBox's MouseUp event.
Local variables are now widely used to speed up calls to global functions.
------------------------------------------------------------------------
r19 | nrpieper | 2009-05-18 09:25:51 +0000 (Mon, 18 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   D /trunk/test.lua
   D /trunk/test1.lua
   D /trunk/test2.lua
   D /trunk/tprint.lua

Fix for errors reported loading friends player named into the dictionary.
------------------------------------------------------------------------
r18 | nrpieper | 2009-05-17 13:51:49 +0000 (Sun, 17 May 2009) | 4 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Reduced memory needed to store the dictionary in half.  Affix keys and phonetic codes are no longer stored using subtables.  Memory usage went from 11.6Mb to 5.7Mb
The user dictionary storage format was changed to match the, updated, in memory dictionary storage format.  Any existing user dictionaries will be converted the first time you load r18.
Improved the suggestions generation, especially when the word contains a capital letter.
8 suggestions are now returned, not 10.
------------------------------------------------------------------------
r17 | nrpieper | 2009-05-16 19:15:20 +0000 (Sat, 16 May 2009) | 4 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

No UI or functionality changes in this release.
Removed unnecessary OnUpdate event hook.  r16's cursor positioning code no longer needs to independently track the cursor position using OnUpdate.
Moved creation of local variables outside of loops, wherever possible.  Should help the GC not cry.
Removed some unneeded local variable creation.
------------------------------------------------------------------------
r16 | nrpieper | 2009-05-16 11:05:39 +0000 (Sat, 16 May 2009) | 6 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Maximum suggestions increased to 10
Fixed an error where words in all CAPS, or words that contained numbers were throwing a Lua error.
Fixed the chat edit cursor position so it moves naturally as you perform edits in and around misspelled highlighted words.  Wow this was a lot of work.  Did you know you can crash Wow, with an invalid cursor position!
Fixed a problem where the spell checking routine was firing twice, if it found a misspelled word.
More code cleanup.  There shouldn't be any remaining, non reachable code.
We're getting very near release quality!
------------------------------------------------------------------------
r15 | nrpieper | 2009-05-15 15:42:14 +0000 (Fri, 15 May 2009) | 3 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/Misspelled.xml

The Misspelled word suggestions pop-up dialog now takes up less space.  Cancel option added to the bottom of the pop-up.
Loading guild members routine delayed until the first ChatEditBox_OnTextChanged event.  I wasn't always getting guild info during addon loading.
ChatEditBox_OnSpacePressed event removed.  We only use OnTextChanged.
------------------------------------------------------------------------
r14 | nrpieper | 2009-05-15 00:04:24 +0000 (Fri, 15 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fixed error loading guild members
------------------------------------------------------------------------
r13 | nrpieper | 2009-05-14 22:32:25 +0000 (Thu, 14 May 2009) | 4 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Your friends and guild roster are now added, upon zone-in, to the list of correctly spelled words.  Suggestions that match a friend or guild member player name are flagged with either (Friend) or (Guild), in the suggestions right-click pop-up.
Lots of cleanup and remarks added to the code.
Fixed cases where editing near the boundary of a highlighted misspelled word would mangle color tag information leaving only partial color tags.
Started implementing routines to correctly set the cursor position when the chat text is changed by Misspelled.  More work is still needed here.
------------------------------------------------------------------------
r12 | nrpieper | 2009-05-14 22:22:34 +0000 (Thu, 14 May 2009) | 4 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Your friends and guild roster are now added, upon zone-in, to the list of correctly spelled words.  Suggestions that match a friend or guild member player name are flagged with either (Friend) or (Guild), in the suggestions right-click pop-up.
Lots of cleanup and remarks added to the code.
Fixed cases where editing near the boundary of a highlighted misspelled word would mangle color tag information leaving only partial color tags.
Started implementing routines to correctly set the cursor position when the chat text is changed by Misspelled.  More work is still needed here.
------------------------------------------------------------------------
r11 | nrpieper | 2009-05-12 02:10:40 +0000 (Tue, 12 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Saved user dictionary fixes, and new code to start tracking the cursor position.
------------------------------------------------------------------------
r10 | nrpieper | 2009-05-10 23:01:09 +0000 (Sun, 10 May 2009) | 3 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Cleaned up more bugs.  Added the char "?" as a word boundary indicator.

Debug print statements turned off.
------------------------------------------------------------------------
r9 | nrpieper | 2009-05-10 20:49:51 +0000 (Sun, 10 May 2009) | 2 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fix Fix implemented for Chatter.  Chatter users can now right click highlighted words to view suggestions.

------------------------------------------------------------------------
r8 | nrpieper | 2009-05-10 20:47:31 +0000 (Sun, 10 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua

Fix implemented for Chatter.  Chatter users can now right click highlighted words to view suggestions.
------------------------------------------------------------------------
r7 | nrpieper | 2009-05-09 22:25:54 +0000 (Sat, 09 May 2009) | 1 line
Changed paths:
   M /trunk/Dict/Dic_en_US.lua

Added Wrath dungeon and raid boss names to the standard Dictionary.
------------------------------------------------------------------------
r6 | nrpieper | 2009-05-09 20:16:51 +0000 (Sat, 09 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fixed problem with links not being parsed and ignored.
------------------------------------------------------------------------
r5 | nrpieper | 2009-05-09 14:05:26 +0000 (Sat, 09 May 2009) | 3 lines
Changed paths:
   M /trunk/Dict/Dic_en_US.lua
   M /trunk/Misspelled.lua

Remarked out debug prints and added the words
Jewelcrafting, Leatherworking, and Warcraft to the std dictionary.
beta
------------------------------------------------------------------------
r4 | nrpieper | 2009-05-09 13:25:14 +0000 (Sat, 09 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Add to User Dictionary an Ignore All features implemented.
------------------------------------------------------------------------
r3 | nrpieper | 2009-05-08 21:09:04 +0000 (Fri, 08 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua

Minor comment updates
------------------------------------------------------------------------
r2 | nrpieper | 2009-05-08 20:06:36 +0000 (Fri, 08 May 2009) | 1 line
Changed paths:
   M /trunk
   A /trunk/.pkgmeta
   A /trunk/Bindings.xml
   A /trunk/Dict
   A /trunk/Dict/Dic_en_US.lua
   A /trunk/Misspelled.lua
   A /trunk/Misspelled.toc
   A /trunk/Misspelled.xml
   A /trunk/WordDict.lua
   A /trunk/embeds.xml
   A /trunk/test.lua
   A /trunk/test1.lua
   A /trunk/test2.lua
   A /trunk/tprint.lua

Initial check-in
------------------------------------------------------------------------
r1 | root | 2009-05-08 18:13:17 +0000 (Fri, 08 May 2009) | 1 line
Changed paths:
   A /branches
   A /tags
   A /trunk

"misspelled/mainline: Initial Import"
------------------------------------------------------------------------
